# MPI_T_cvar_get_info

Get the information about a control variable

## Synopsis

    int MPI_T_cvar_get_info(int cvar_index, char *name, int *name_len,
                            int *verbosity, MPI_Datatype * datatype, MPI_T_enum * enumtype,
                            char *desc, int *desc_len, int *binding, int *scope)

## Input/Output Parameters

name_len
  length of the string and/or buffer for name (integer)
desc_len
  length of the string and/or buffer for desc (integer)

## Input Parameters

cvar_index
  index of the control variable to be queried, value between 0 and num_cvar-1 (integer)

## Output Parameters

name
  buffer to return the string containing the name of the control variable (string)
verbosity
  verbosity level of this variable (integer)
datatype
  MPI datatype of the information stored in the control variable (handle)
enumtype
  optional descriptor for enumeration information (handle)
desc
  buffer to return the string containing a description of the control variable (string)
binding
  type of MPI object this variable is associated with
scope
  scope of when changes to this variable are possible (integer)

## Thread and Interrupt Safety

This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as `malloc` or other non-MPICH runtime routines that are themselves not interrupt-safe.

## Errors

All MPI routines (except `MPI_Wtime` and `MPI_Wtick`) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with `MPI_Comm_set_errhandler` (for communicators), `MPI_File_set_errhandler` (for files), and `MPI_Win_set_errhandler` (for RMA windows). The MPI-1 routine `MPI_Errhandler_set` may be used but its use is deprecated. The predefined error handler `MPI_ERRORS_RETURN` may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.

MPI_SUCCESS
  No error; MPI routine completed successfully.

MPI_T_ERR_NOT_INITIALIZED
  The MPI tool information interface is not initialized.

MPI_T_ERR_INVALID_INDEX
  Index is invalid or has been deleted.